Loading...
Searching...
No Matches
Kernel Interface Page API
Utility Functions
Collaboration diagram for Kernel Interface Page API:

## Files

file | kip.h

## Macros

#define | l4util_kip_for_each_feature(s)
| Cycle through kernel features given in the KIP.

## Functions

L4_BEGIN_DECLS int | l4util_kip_kernel_has_feature (l4_kernel_info_t const *k, char const *str)
| Check if kernel supports a feature.
unsigned long | l4util_kip_kernel_abi_version (l4_kernel_info_t const *k)
| Return kernel ABI version.

## Detailed Description

## Macro Definition Documentation

## l4util_kip_for_each_feature

#define l4util_kip_for_each_feature | ( |  | s | ) |

Value:
l4_kip_for_each_feature(s)
l4_kip_for_each_feature
#define l4_kip_for_each_feature(s)
Cycle through kernel features given in the KIP.
Definition kip.h:272

Cycle through kernel features given in the KIP.

Cycles through all KIP kernel feature strings. s must be a character pointer (char const *) initialized with l4_kip_version_string().

Deprecated
  Use l4_kip_for_each_feature().

Definition at line 58 of file kip.h.

## Function Documentation

## l4util_kip_kernel_abi_version()

unsigned long l4util_kip_kernel_abi_version | ( | l4_kernel_info_t const * | k | ) |

Return kernel ABI version.

Parameters

  k | Pointer to the kernel info page (KIP).

Returns
  Kernel ABI version.

References L4_CV, and L4_END_DECLS.

## l4util_kip_kernel_has_feature()

L4_BEGIN_DECLS int l4util_kip_kernel_has_feature | ( | l4_kernel_info_t const * | k,
|  | char const * | str )

Check if kernel supports a feature.

Parameters

  k | Pointer to the kernel info page (KIP).
  str | Feature name to check.

Returns
  1 if the kernel supports the feature, 0 if not.

Checks the feature field in the KIP for the given string.

Deprecated
  Use l4_kip_kernel_has_feature().

References L4_CV.